.rl-discover-dropdown.mswc-dropdown {
    position: relative;
    display: inline-block;
    max-width: 240px;
}

.rl-discover-dropdown .mswc-dropbtn {
    background-color: #ffffff;
    color: var(--p-color);
    padding: 16px;
    font-family: "Gill Sans", Sans-serif;
    font-size: 14px;
    font-weight: 600;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    width: 100%;
    text-align: left;
}

.rl-discover-dropdown .mswc-dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--p-color);
    min-width: 220px;
    box-shadow: 2px 2px 3px 2px rgba(0, 0, 0, 0.15);
    z-index: 50;
    border-radius: 10px;
}

.rl-discover-dropdown .mswc-dropdown-content a {
    color: #ffffff;
    padding: 12px 24px;
    text-decoration: none;
    display: block;
    font-family: "Gill Sans", Sans-serif;
    font-size: 14px;
    font-weight: 500;
    white-space: nowrap;
}

.rl-discover-dropdown .mswc-dropdown-content a:not(:last-child) {
    border-bottom: solid 1px #ffffff;
}

.rl-discover-dropdown .mswc-dropdown-content a:hover {
    background-color: var(--p-color);
}

.rl-discover-dropdown .mswc-dropdown-content a:hover:first-child {
    border-radius: 10px 10px 0 0;
}

.rl-discover-dropdown .mswc-dropdown-content a:hover:last-child {
    border-radius: 0 0 10px 10px;
}

.rl-discover-dropdown:hover .mswc-dropdown-content,
.rl-discover-dropdown:focus-within .mswc-dropdown-content {
    display: block;
}

.rl-discover-dropdown .sub-arrow {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    transition: transform 0.45s ease;
}

.rl-discover-dropdown:hover .sub-arrow,
.rl-discover-dropdown:focus-within .sub-arrow {
    transform: translateY(-50%) rotateX(180deg);
}

.editor-styles-wrapper .rl-discover-dropdown .mswc-dropdown-content {
    display: block;
    position: relative;
    margin-top: 8px;
}
